Bug 26014 - arpwatch terminating after startup with 2.4 kernel
arpwatch terminating after startup with 2.4 kernel
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-04 19:25 EST by Roy-Magne Mo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-04 19:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2001-02-04 19:25:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.0-test9 i586; Nav)


arpwatch terminates right after startup with this error message:
arpwatch: pcap_loop: poll: Interrupted system call

This is a redhat 7.0 system with the arpwatch from fisher compiled from
SRPMS

Kernel is 2.4.0 with netfilter patches applied from patch-o-matic. The
system has four interfaces and is a firewall.

Reproducible: Always
Steps to Reproduce:
1. /etc/init.d/arpwatch start
2.
3.
	

Actual Results:  kernel: device eth0 entered promiscuous mode
arpwatch: listening on eth0
arpwatch: arpwatch startup succeeded
arpwatch: new station xxx.xxx.xxx.xxx x:x:xx:xx:xx:xx
arpwatch: new station xxx.xxx.xxx.xxx x:x:xx:xx:xx:xx
arpwatch: pcap_loop: poll: Interrupted system call
kernel: device eth0 left promiscuous mode


nics are intel etherexpress pro 100
Comment 1 Roy-Magne Mo 2001-02-04 19:33:42 EST
Testing the same package on a with kernel 2.4.1 (with freeswan todays snapshot)
compiled in the same error is reported. The same nic, but this server has only
one nic.
Comment 2 Roy-Magne Mo 2001-02-04 19:53:54 EST
Starting arpwatch from command line with /usr/sbin/arpwatch seems to work - so
it's the process of backgrounding that kills it.
Comment 3 Roy-Magne Mo 2001-02-04 19:55:04 EST
no... it did not - the same thing happens after about 5-10 minutes it seems:
arpwatch: pcap_loop: poll: Interrupted system call
Comment 4 Harald Hoyer 2001-02-05 06:56:13 EST
arpwatch-2.1a10-36.i386.rpm works for me ...

Note You need to log in before you can comment on or make changes to this bug.